
CREATE OR REPLACE VIEW public.mnmt_missng_crops
AS SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdycrops.name
           FROM ( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE cdy_madat.macode = ANY (ARRAY[1, 2, 9, 12])) m
             LEFT JOIN cdycrops ON m.wert1 = cdycrops.item_ix) l
  WHERE l.name IS NULL;

--

CREATE OR REPLACE  VIEW mnmt_missng_irdv AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyirrgdev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 7)) m
             LEFT JOIN cdyirrgdev ON ((m.wert1 = cdyirrgdev.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE OR REPLACE  VIEW mnmt_missng_lvst AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdylives.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[10, 11]))) m
             LEFT JOIN cdylives ON ((m.wert1 = cdylives.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE OR REPLACE  VIEW mnmt_missng_mindg AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdymindg.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 4)) m
             LEFT JOIN cdymindg ON ((m.wert1 = cdymindg.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE OR REPLACE VIEW mnmt_missng_oram AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyopspa.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = 3)) m
             LEFT JOIN cdyopspa ON ((m.wert1 = cdyopspa.item_ix)))) l
  WHERE (l.name IS NULL);

--

CREATE OR REPLACE VIEW public.crop_missing_opspa
AS
SELECT 'rt'::text AS col,
    p.name AS crop,
    p.rt_ix AS idx,
    o.name AS om
   FROM cdycrops p
     LEFT JOIN cdyopspa o ON p.rt_ix = o.item_ix
  WHERE o.name IS NULL
UNION
 SELECT 'sh'::text AS col,
    p.name AS crop,
    p.sh_ix AS idx,
    o.name AS om
   FROM cdycrops p
     LEFT JOIN cdyopspa o ON p.sh_ix = o.item_ix
  WHERE NOT p.sh_ix IS NULL AND o.name IS NULL
UNION
 SELECT 'gm'::text AS col,
    p.name AS crop,
    p.gm_ix AS idx,
    o.name AS om
   FROM cdycrops p
     LEFT JOIN cdyopspa o ON p.gm_ix = o.item_ix
  WHERE NOT p.gm_ix IS NULL AND o.name IS NULL;
--

CREATE OR REPLACE  VIEW mnmt_missng_tidev AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdytilldev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[0, 5]))) m
             LEFT JOIN cdytilldev ON ((m.wert1 = cdytilldev.item_ix)))) l
  WHERE (l.name IS NULL);

--
 
CREATE OR REPLACE  VIEW mnmtmissng_link AS
 SELECT mnmt_missng_crops.fname,
    ((mnmt_missng_crops.snr * 10) + mnmt_missng_crops.utlg) AS plot,
    mnmt_missng_crops.wert1 AS item_ix,
    'crop'::text AS obj
   FROM mnmt_missng_crops
UNION
 SELECT mnmt_missng_oram.fname,
    ((mnmt_missng_oram.snr * 10) + mnmt_missng_oram.utlg) AS plot,
    mnmt_missng_oram.wert1 AS item_ix,
    'oram'::text AS obj
   FROM mnmt_missng_oram
UNION
 SELECT mnmt_missng_mindg.fname,
    ((mnmt_missng_mindg.snr * 10) + mnmt_missng_mindg.utlg) AS plot,
    mnmt_missng_mindg.wert1 AS item_ix,
    'mndg'::text AS obj
   FROM mnmt_missng_mindg
UNION
 SELECT mnmt_missng_tidev.fname,
    ((mnmt_missng_tidev.snr * 10) + mnmt_missng_tidev.utlg) AS plot,
    mnmt_missng_tidev.wert1 AS item_ix,
    'tidv'::text AS obj
   FROM mnmt_missng_tidev
UNION
 SELECT mnmt_missng_lvst.fname,
    ((mnmt_missng_lvst.snr * 10) + mnmt_missng_lvst.utlg) AS plot,
    mnmt_missng_lvst.wert1 AS item_ix,
    'lvst'::text AS obj
   FROM mnmt_missng_lvst
UNION
 SELECT mnmt_missng_irdv.fname,
    ((mnmt_missng_irdv.snr * 10) + mnmt_missng_irdv.utlg) AS plot,
    mnmt_missng_irdv.wert1 AS item_ix,
    'irdv'::text AS obj
   FROM mnmt_missng_irdv;
   
 --

CREATE OR REPLACE VIEW public.cdy_objects
as
SELECT 1 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"(cdycrops.name::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 1 + cdycrops.item_ix AS ix
   FROM cdycrops,
    cdyaktion
  WHERE cdyaktion.action_id = 1
UNION
 SELECT 12 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"(cdycrops.name::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 12 + cdycrops.item_ix AS ix
   FROM cdycrops,
    cdyaktion
  WHERE cdyaktion.action_id = 12
UNION
 SELECT 2 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"(cdycrops.name::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 2 + cdycrops.item_ix AS ix
   FROM cdycrops,
    cdyaktion
  WHERE cdyaktion.action_id = 2
UNION
 SELECT 3 AS macode,
    cdyaktion.action,
    cdyopspa.name,
    btrim("left"(cdyopspa.name::text, 25)) AS item,
    cdyopspa.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 3 + cdyopspa.item_ix AS ix
   FROM cdyopspa,
    cdyaktion
  WHERE cdyaktion.action_id = 3 AND cdyopspa.od
UNION
 SELECT 4 AS macode,
    cdyaktion.action,
    cdymindg.name,
    btrim("left"(cdymindg.name::text, 25)) AS item,
    cdymindg.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 4 + cdymindg.item_ix AS ix
   FROM cdymindg,
    cdyaktion
  WHERE cdyaktion.action_id = 4
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    'ploughing'::character varying AS name,
    'ploughing'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 5 + 0 AS ix
   FROM cdyaktion
  WHERE cdyaktion.action_id = 5
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    cdytilldev.name,
    btrim("left"(cdytilldev.name::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 5 + cdytilldev.item_ix AS ix
   FROM cdyaktion,
    cdytilldev
  WHERE cdyaktion.action_id = 5 AND cdytilldev.item_ix > 0
UNION
 SELECT 0 AS macode,
    'ploughing up'::character varying AS action,
    cdytilldev.name,
    btrim("left"(cdytilldev.name::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 20 + cdytilldev.item_ix AS ix
   FROM cdyaktion,
    cdytilldev
  WHERE cdyaktion.action_id = 5 AND cdytilldev.item_ix > 0
UNION
 SELECT 6 AS macode,
    'cutting'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 6 + 0 AS ix
   FROM cdyaktion
  WHERE cdyaktion.action_id = 6
UNION
 SELECT 7 AS macode,
    'irrigation'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 7 + 0 AS ix
   FROM cdyaktion
  WHERE cdyaktion.action_id = 7
UNION
 SELECT 9 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"(cdycrops.name::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 9 + cdycrops.item_ix AS ix
   FROM cdycrops,
    cdyaktion
  WHERE cdyaktion.action_id = 9
UNION
 SELECT 10 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"(cdylives.name::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 10 + cdylives.item_ix AS ix
   FROM cdylives,
    cdyaktion
  WHERE cdyaktion.action_id = 10
UNION
 SELECT 11 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"(cdylives.name::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    100000 * 11 + cdylives.item_ix AS ix
   FROM cdylives,
    cdyaktion
  WHERE cdyaktion.action_id = 11
  ORDER BY 8;

