CREATE TABLE cdy_mvdat (
    key integer NOT NULL,
    fname character varying(255),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);

CREATE TABLE cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean
);

CREATE TABLE cdy_hrzn (
    item_ix integer,
    name character varying(10),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);

CREATE TABLE cdy_madat (
    key integer,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);



CREATE TABLE cdycrops (
	item_ix integer NULL,
	n_gehalt double precision NULL,
	name_engl varchar(25) NULL,
	name_de varchar(50) NULL,
	"name" varchar(25) NULL,
	name_lat varchar(25) NULL,
	art integer NULL,
	modell varchar(10) NULL,
	transk double precision NULL,
	algo integer NULL,
	steil double precision NULL,
	vegdau double precision NULL,
	nbok double precision NULL,
	lnub double precision NULL,
	wtmax integer NULL,
	wwg double precision NULL,
	dbhmax integer NULL,
	bhmax integer NULL,
	matanf integer NULL,
	bgmax double precision NULL,
	dbgmax integer NULL,
	czep double precision NULL,
	zetb double precision NULL,
 	gm_ix integer NULL,
	tk_min double precision NULL,
	ts1 double precision NULL,
	ts2 double precision NULL,
	sba_id integer NULL,
	dm_nat double precision NULL,
	"source" varchar(80) NULL,
	rix double precision NULL,
	bix double precision NULL,
	stix double precision NULL,
	fix_r double precision NULL,
	fix_s double precision NULL,
	rt_ix integer NULL,
	sh_ix integer NULL
);


CREATE TABLE cdyopspa (
    item_ix integer,
    sba_id integer DEFAULT 0,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source character varying(80)
);

CREATE TABLE profile (
    profil character varying(10),
    depth double precision,
    horiz_name character varying(25)
);

CREATE TABLE  cdymindg (
	item_ix integer ,
	name varchar(25) ,
	ammanteil double precision   ,
  source character varying(255) NULL
);

CREATE TABLE cdytilldev (
	item_ix integer  ,
	name character varying(50) NULL,
	effect double precision NULL  ,
	source character varying(255) NULL
);

CREATE TABLE cdyirrgdev (
	item_ix integer NOT NULL  ,
	name character varying (50) NULL,
	effect double precision NULL  ,
	source character varying(255) NULL
);

CREATE TABLE cdy_cldat (
	datum timestamp ,
	nied double precision,
	ltem double precision,
	sonn double precision,
	glob double precision,
	wstat character varying(255) NULL,
	widx character varying(8) NULL
);

CREATE TABLE  cdylives (
	item_ix integer NOT NULL DEFAULT 0,
	name  character varying(25) NULL,
	c_inp double precision,
	od_id integer,
	n_upt double precision
);

CREATE TABLE cdyacrdp (
	item_ix integer NULL,
	pname character varying(6) NULL,
	dvi double precision NULL,
	pval double precision NULL
);

CREATE TABLE cdyacrop (
	item_ix integer NULL,
	alpha double precision NULL,
	beta double precision NULL,
	sigma double precision NULL,
	t_upl double precision NULL,
	t_lol double precision NULL,
	t_opt double precision NULL,
	n_saat double precision NULL,
	c_saat double precision NULL,
	ncr_bm double precision NULL,
	ref_ts double precision NULL,
  ts_emg double precision NULL,
	senescence double precision NULL,
	sp_lf_ar double precision NULL,
  cov2lai double precision NULL,
	gr_resp double precision NULL,
  spch double precision NULL,
  sprd double precision NULL,
	m double precision NULL,
	b double precision NULL

);


CREATE TABLE tmp_setting(
   pname  character varying(25) NULL,
   pval   character varying(25) NULL
);
