CREATE TABLE trans.cdy_mvdat (
    key integer NOT NULL,
    fname character varying(255),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);

CREATE TABLE trans.cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean
);

CREATE TABLE trans.cdy_hrzn (
    item_ix integer,
    name character varying(10),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);

CREATE TABLE trans.cdy_madat (
    key integer,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);


CREATE TABLE trans.cdycrops (
	item_ix int4 NULL,
	n_gehalt float8 NULL,
	name_engl varchar(25) NULL,
	name_de varchar(50) NULL,
	"name" varchar(25) NULL,
	name_lat varchar(25) NULL,
	art int4 NULL,
	modell varchar(10) NULL,
	transk float8 NULL,
	algo int4 NULL,
	steil float8 NULL,
	vegdau float8 NULL,
	nbok float8 NULL,
	lnub float8 NULL,
	wtmax int4 NULL,
	wwg float8 NULL,
	dbhmax int4 NULL,
	bhmax int4 NULL,
	matanf int4 NULL,
	bgmax float8 NULL,
	dbgmax int4 NULL,
	czep float8 NULL,
	zetb float8 NULL,
	gm_ix int4 NULL,
	tk_min float8 NULL,
	ts1 float8 NULL,
	ts2 float8 NULL,
	sba_id int4 NULL,
	dm_nat float8 NULL,
	"source" varchar(80) NULL,
	rix float8 NULL,
	bix float8 NULL,
	stix float8 NULL,
	fix_r float8 NULL,
	fix_s float8 NULL,
	rt_ix int4 NULL,
	sh_ix int4 NULL
);


CREATE TABLE trans.cdyopspa (
    item_ix integer,
    sba_id integer DEFAULT 0,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source varchar(80) NULL
);

CREATE TABLE trans.profile (
    profil character varying(10),
    depth double precision,
    horiz_name character varying(25)
);

CREATE TABLE  trans.cdymindg (
	item_ix int4 NULL,
	name varchar(25) NULL,
	ammanteil float8 NULL,
  source varchar(80) NULL
);

CREATE TABLE trans.cdytilldev (
	item_ix integer  ,
	name varchar(50) NULL,
	effect float8 NULL  ,
	source varchar(80) NULL
);

CREATE TABLE trans.cdyirrgdev (
	item_ix integer NOT NULL  ,
	name varchar(50) NULL,
	effect float8 NULL  ,
	source varchar(255) NULL
);

CREATE TABLE trans.cdy_cldat (
	datum timestamp NULL,
	nied float8 NULL,
	ltem float8 NULL,
	sonn float8 NULL,
	glob int4 NULL,
	wstat varchar(255) NULL,
	widx varchar(8) NULL
);

CREATE TABLE trans.cdylives (
	item_ix int4 NOT NULL DEFAULT 0,
	name  varchar(25) NULL,
	c_inp float8 NULL DEFAULT 0,
	od_id int4 NULL DEFAULT 0,
	n_upt float8 NULL DEFAULT 0 ,
  	source varchar(255) NULL
);

CREATE TABLE trans.cdyacrop (
	item_ix int4 NULL,
	alpha float8 NULL,
	beta float8 NULL,
	sigma float8 NULL,
	t_upl float8 NULL,
	t_lol float8 NULL,
	t_opt float8 NULL,
	n_saat float8 NULL,
	c_saat float8 NULL,
	ncr_bm float8 NULL,
	ref_ts float8 NULL,
  ts_emg float8 NULL,
	senescence float8 NULL,
	sp_lf_ar float8 NULL,
  cov2lai float8 NULL,
	gr_resp float8 NULL,
  spch float8 NULL,
  sprd float8 NULL,
	m float8 NULL,
	b float8 NULL
);

CREATE TABLE trans.cdyacrdp (
	item_ix int4 NULL,
	pname varchar(6) NULL,
	dvi float8 NULL,
	pval float8 NULL
);


CREATE TABLE trans.tmp_setting(
   pname  varchar(25) NULL,
   pval   varchar(25) NULL
);
