﻿--
-- PostgreSQL database dump
--

-- Dumped from database version 14.2
-- Dumped by pg_dump version 14.2

-- Started on 2022-06-02 15:15:18

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- TOC entry 4 (class 2615 OID 17005)
-- Name: opti; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA opti;


--
-- TOC entry 3 (class 2615 OID 2200)
-- Name: public; Type: SCHEMA; Schema: -; Owner: -
--

-- CREATE SCHEMA public;


--
-- TOC entry 3658 (class 0 OID 0)
-- Dependencies: 3
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON SCHEMA public IS 'standard public schema';


--
-- TOC entry 7 (class 2615 OID 17006)
-- Name: trans; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA trans;


--
-- TOC entry 279 (class 1255 OID 17007)
-- Name: sqr(double precision); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION public.sqr(double precision) RETURNS double precision
    LANGUAGE sql IMMUTABLE STRICT
    AS $_$
select sqrt( $1 )  ;
$_$;


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 211 (class 1259 OID 17008)
-- Name: parm_int; Type: TABLE; Schema: opti; Owner: -
--

CREATE TABLE opti.parm_int (
    item_ix integer NOT NULL,
    fname character(16),
    pname character(10),
    minimum double precision,
    maximum double precision,
    ival double precision,
    step double precision,
    aval double precision,
    selection character(50),
    alias character(15),
    error double precision,
    r_2 double precision,
    r_3 double precision,
    r_4 double precision,
    r_5 double precision,
    r_6 double precision
);






--
-- TOC entry 213 (class 1259 OID 17012)
-- Name: selmix; Type: TABLE; Schema: opti; Owner: -
--

CREATE TABLE opti.selmix (
    m_ix integer
);


--
-- TOC entry 214 (class 1259 OID 17015)
-- Name: cdy_cldat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_cldat (
    datum timestamp without time zone,
    nied double precision,
    ltem double precision,
    sonn double precision,
    glob integer,
    wstat character varying(255),
    widx character varying(8)
);


--
-- TOC entry 215 (class 1259 OID 17018)
-- Name: cdy_msdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_msdat (
    key serial4 NOT NULL,
    fname character varying(25),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50),
    s_wert double precision DEFAULT 0
);


--
-- TOC entry 216 (class 1259 OID 17022)
-- Name: cdy_mvdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_mvdat (
    key serial4 NOT NULL,
    fname character varying(255),
    first character varying(1),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);


--
-- TOC entry 217 (class 1259 OID 17025)
-- Name: cdy_prop; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_prop (
    item_ix integer,
    propname character varying(20),
    shrtname character varying(10),
    pgroup character varying(20),
    format character varying(10),
    typ character varying(2),
    propunit character varying(10),
    adptbl boolean
);


--
-- TOC entry 218 (class 1259 OID 17028)
-- Name: cdy_evaldat; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.cdy_evaldat AS
 SELECT distinct v.key AS meas_id,
    s.fname,
    s.snr,
    s.utlg,
    s.m_ix,
    s.datum,
    p.shrtname,
    p.propname,
    p.typ,
    p.propunit,
    s.s0,
    s.s1,
    s.s_wert,
    v.m_wert
   FROM public.cdy_msdat s,
    public.cdy_mvdat v,
    public.cdy_prop p
  WHERE (((s.korrektur)::text = 'N'::text) AND (p.item_ix = s.m_ix) AND (s.snr = v.snr) AND (s.utlg = v.utlg) AND ((s.fname)::text = (v.fname)::text) AND (s.datum = v.datum) AND (s.m_ix = v.m_ix) AND ((s.korrektur)::text = (v.korrektur)::text) AND (s.s0 = v.s0) AND (s.s1 = v.s1));


--
-- TOC entry 219 (class 1259 OID 17033)
-- Name: cdy_fxdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean
);


--
-- TOC entry 220 (class 1259 OID 17043)
-- Name: cdy_gsdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_gsdat (
    id integer,
    range character varying(5),
    area double precision,
    fname character varying(5),
    plot character varying(25),
    climate character varying(3),
    soil character varying(10),
    r_faktor double precision,
    patch character varying(10),
    value double precision
);


--
-- TOC entry 221 (class 1259 OID 17046)
-- Name: cdy_hrzn; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_hrzn (
    item_ix integer,
    name character varying(10),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);


--
-- TOC entry 222 (class 1259 OID 17052)
-- Name: cdy_madat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_madat (
    key serial4 NOT NULL,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);


--
-- TOC entry 223 (class 1259 OID 17055)
-- Name: cdy_madat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_madat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3660 (class 0 OID 0)
-- Dependencies: 223
-- Name: cdy_madat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_madat_key_seq OWNED BY public.cdy_madat.key;


--
-- TOC entry 224 (class 1259 OID 17056)
-- Name: cdy_mgdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_mgdat (
    key serial4 NOT NULL,
    fname character varying(25),
    patch integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50),
    s_wert double precision DEFAULT 0
);


--
-- TOC entry 225 (class 1259 OID 17060)
-- Name: cdy_mgdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_mgdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3661 (class 0 OID 0)
-- Dependencies: 225
-- Name: cdy_mgdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_mgdat_key_seq OWNED BY public.cdy_mgdat.key;


--
-- TOC entry 226 (class 1259 OID 17061)
-- Name: cdy_mhdat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_mhdat (
    key serial4 NOT NULL,
    fname character varying(25),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    korrektur character varying(1),
    ix character varying(50) NOT NULL,
    s_wert double precision DEFAULT 0
);


--
-- TOC entry 227 (class 1259 OID 17065)
-- Name: cdy_mhdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_mhdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3662 (class 0 OID 0)
-- Dependencies: 227
-- Name: cdy_mhdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_mhdat_key_seq OWNED BY public.cdy_mhdat.key;


--
-- TOC entry 228 (class 1259 OID 17066)
-- Name: cdy_msdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_msdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3663 (class 0 OID 0)
-- Dependencies: 228
-- Name: cdy_msdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_msdat_key_seq OWNED BY public.cdy_msdat.key;


--
-- TOC entry 229 (class 1259 OID 17067)
-- Name: cdy_mvdat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_mvdat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3664 (class 0 OID 0)
-- Dependencies: 229
-- Name: cdy_mvdat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_mvdat_key_seq OWNED BY public.cdy_mvdat.key;


--
-- TOC entry 230 (class 1259 OID 17068)
-- Name: cdyaktion; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyaktion (
    action character(30),
    action_id integer DEFAULT 0 NOT NULL,
    unit_intensity character varying(50),
    def_intensity character varying(50),
    def_addval character varying
);


--
-- TOC entry 273 (class 1259 OID 24810)
-- Name: cdycrops; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdycrops (
    item_ix integer,
    name character varying(25),
    name_engl character varying(25),
    name_lat character varying(25),
    name_de character varying(50),
    art integer,
    modell character varying(10),
    transk double precision,
    algo integer,
    steil double precision,
    vegdau double precision,
    nbok double precision,
    lnub double precision,
    wtmax integer,
    wwg double precision,
    dbhmax integer,
    bhmax integer,
    matanf integer,
    bgmax double precision,
    dbgmax integer,
    czep double precision,
    zetb double precision,
    tk_min double precision,
    ts1 double precision,
    ts2 double precision,
    n_gehalt double precision,
    dm_nat double precision,
    sba_id integer,
    gm_ix integer,
    rt_ix integer,
    sh_ix integer,
    fix_r double precision,
    bix double precision,
    rix double precision,
    stix double precision,
    fix_s integer,
    source varchar(80)
);


--
-- TOC entry 3665 (class 0 OID 0)
-- Dependencies: 273
-- Name: COLUMN cdycrops.bix; Type: COMMENT; Schema: public; Owner: -
--

COMMENT ON COLUMN public.cdycrops.bix IS 'kg/dt';


--
-- TOC entry 232 (class 1259 OID 17077)
-- Name: cdylives; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdylives (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(25),
    c_inp double precision DEFAULT 0,
    od_id integer DEFAULT 0,
    n_upt double precision DEFAULT 0,
    source character varying(80)
);


--
-- TOC entry 233 (class 1259 OID 17084)
-- Name: cdymindg; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdymindg (
    item_ix integer,
    name character varying(25),
    ammanteil double precision,
    source character varying(80)
);


--
-- TOC entry 234 (class 1259 OID 17087)
-- Name: cdyopspa; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyopspa (
    item_ix integer,
    sba_id integer,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source character varying(80)
);


--
-- TOC entry 235 (class 1259 OID 17103)
-- Name: cdytilldev; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdytilldev (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    effect double precision DEFAULT 0,
    source character varying(255)
);


--
-- TOC entry 276 (class 1259 OID 24823)
-- Name: cdy_objects; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.cdy_objects AS
 SELECT 1 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"((cdycrops.name)::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 1) + cdycrops.item_ix) AS ix
   FROM public.cdycrops,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 1)
UNION
 SELECT 12 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"((cdycrops.name)::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 12) + cdycrops.item_ix) AS ix
   FROM public.cdycrops,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 12)
UNION
 SELECT 2 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"((cdycrops.name)::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 2) + cdycrops.item_ix) AS ix
   FROM public.cdycrops,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 2)
UNION
 SELECT 3 AS macode,
    cdyaktion.action,
    cdyopspa.name,
    btrim("left"((cdyopspa.name)::text, 25)) AS item,
    cdyopspa.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 3) + cdyopspa.item_ix) AS ix
   FROM public.cdyopspa,
    public.cdyaktion
  WHERE ((cdyaktion.action_id = 3) AND cdyopspa.od)
UNION
 SELECT 4 AS macode,
    cdyaktion.action,
    cdymindg.name,
    btrim("left"((cdymindg.name)::text, 25)) AS item,
    cdymindg.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 4) + cdymindg.item_ix) AS ix
   FROM public.cdymindg,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 4)
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    'ploughing'::character varying AS name,
    'ploughing'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 5) + 0) AS ix
   FROM public.cdyaktion
  WHERE (cdyaktion.action_id = 5)
UNION
 SELECT 5 AS macode,
    'tillage'::character varying AS action,
    cdytilldev.name,
    btrim("left"((cdytilldev.name)::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 5) + cdytilldev.item_ix) AS ix
   FROM public.cdyaktion,
    public.cdytilldev
  WHERE ((cdyaktion.action_id = 5) AND (cdytilldev.item_ix > 0))
UNION
 SELECT 0 AS macode,
    'ploughing up'::character varying AS action,
    cdytilldev.name,
    btrim("left"((cdytilldev.name)::text, 25)) AS item,
    cdytilldev.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 20) + cdytilldev.item_ix) AS ix
   FROM public.cdyaktion,
    public.cdytilldev
  WHERE ((cdyaktion.action_id = 5) AND (cdytilldev.item_ix > 0))
UNION
 SELECT 6 AS macode,
    'cutting'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 6) + 0) AS ix
   FROM public.cdyaktion
  WHERE (cdyaktion.action_id = 6)
UNION
 SELECT 7 AS macode,
    'irrigation'::character varying AS action,
    'unknown'::character varying AS name,
    '?'::text AS item,
    0 AS item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 7) + 0) AS ix
   FROM public.cdyaktion
  WHERE (cdyaktion.action_id = 7)
UNION
 SELECT 9 AS macode,
    cdyaktion.action,
    cdycrops.name,
    btrim("left"((cdycrops.name)::text, 25)) AS item,
    cdycrops.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 9) + cdycrops.item_ix) AS ix
   FROM public.cdycrops,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 9)
UNION
 SELECT 10 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"((cdylives.name)::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 10) + cdylives.item_ix) AS ix
   FROM public.cdylives,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 10)
UNION
 SELECT 11 AS macode,
    cdyaktion.action,
    cdylives.name,
    btrim("left"((cdylives.name)::text, 25)) AS item,
    cdylives.item_ix,
    cdyaktion.unit_intensity,
    cdyaktion.def_intensity,
    cdyaktion.def_addval,
    ((100000 * 11) + cdylives.item_ix) AS ix
   FROM public.cdylives,
    public.cdyaktion
  WHERE (cdyaktion.action_id = 11)
  ORDER BY 8;


--
-- TOC entry 277 (class 1259 OID 24835)
-- Name: cdy_prop_lst; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_prop_lst (
    item_ix integer,
    sname character varying(20)
);


--
-- TOC entry 236 (class 1259 OID 17116)
-- Name: cdy_prop_sel; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_prop_sel (
    item_ix integer,
    sch_ix integer,
    intervall integer,
    m_ix integer,
    s0 integer,
    s1 integer,
    start timestamp without time zone,
    enddat timestamp without time zone
);


--
-- TOC entry 237 (class 1259 OID 17119)
-- Name: cdy_rslt; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_rslt (
    item_ix serial4 NOT NULL,
    resultnr double precision,
    resultat character varying(50),
    auswahl character varying(1),
    flen double precision,
    "dec" double precision,
    i_type smallint DEFAULT 0,
    unit character varying(50),
    remark character varying(255)
);


--
-- TOC entry 238 (class 1259 OID 17123)
-- Name: cdy_rslt_item_ix_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_rslt_item_ix_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3666 (class 0 OID 0)
-- Dependencies: 238
-- Name: cdy_rslt_item_ix_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_rslt_item_ix_seq OWNED BY public.cdy_rslt.item_ix;


--
-- TOC entry 239 (class 1259 OID 17124)
-- Name: cdy_rslt_lst; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_rslt_lst (
    item_ix integer,
    listname character varying(20),
    res_out integer
);


--
-- TOC entry 240 (class 1259 OID 17127)
-- Name: cdy_rslt_sel; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_rslt_sel (
    item_ix integer,
    list_ix integer,
    resultnr integer
);


--
-- TOC entry 241 (class 1259 OID 17130)
-- Name: cdy_sldat; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdy_sldat (
    key serial4 NOT NULL,
    fname character varying(255),
    datum timestamp without time zone,
    ts_gehalt double precision,
    nt_gehalt double precision,
    ct_gehalt double precision,
    stx integer DEFAULT 0,
    rec_nr integer DEFAULT 0,
    ops_id integer DEFAULT 0
);


--
-- TOC entry 242 (class 1259 OID 17136)
-- Name: cdy_sldat_key_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.cdy_sldat_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3667 (class 0 OID 0)
-- Dependencies: 242
-- Name: cdy_sldat_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.cdy_sldat_key_seq OWNED BY public.cdy_sldat.key;


--
-- TOC entry 243 (class 1259 OID 17137)
-- Name: cdyacrdp; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyacrdp (
    item_ix integer,
    pname character varying(6),
    dvi double precision,
    pval double precision
);


--
-- TOC entry 244 (class 1259 OID 17143)
-- Name: cdyacrop; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyacrop (
    item_ix integer,
    alpha double precision,
    beta double precision,
    sigma double precision,
    t_upl double precision,
    t_lol double precision,
    t_opt double precision,
    n_saat double precision,
    c_saat double precision,
    ncr_bm double precision,
    ref_ts double precision,
    senescence double precision,
    sp_lf_ar double precision,
    gr_resp double precision,
    m double precision,
    b double precision,
    ts_emg double precision  ,
  cov2lai double precision  ,
  sprd  double precision  ,
  spch double precision
);


--
-- TOC entry 245 (class 1259 OID 17146)
-- Name: cdyaparm; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyaparm (
    item_ix double precision DEFAULT 0,
    name character varying(50),
    parmsatz character varying(5),
    czep double precision,
    xsi double precision,
    nunb double precision,
    tbed double precision,
    tunb double precision,
    zetu double precision,
    zetb double precision,
    k_mulch double precision DEFAULT 0,
    k_aos double precision,
    k_akt double precision,
    k_stab double precision,
    k_deni double precision,
    maxdeni double precision,
    cnr_obs double precision,
    disp_kf double precision,
    dng_eff double precision,
    bt_modell smallint DEFAULT 0,
    n_im_som double precision DEFAULT 0,
    n_im_bew double precision DEFAULT 0 ,
    pockvol double precision default 14
);


--
-- TOC entry 246 (class 1259 OID 17154)
-- Name: cdybtprm; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdybtprm (
    p_name character varying(4),
    version smallint DEFAULT 0,
    value double precision DEFAULT 0,
    model character varying(15)
);


--
-- TOC entry 247 (class 1259 OID 17159)
-- Name: cdycl2pr; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdycl2pr (
    class_item integer,
    prop_item integer
);


--
-- TOC entry 248 (class 1259 OID 17162)
-- Name: cdydevpa; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdydevpa (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(50),
    inflation_pressure double precision DEFAULT 0,
    wheel_load double precision DEFAULT 0,
    working_width double precision DEFAULT 0,
    wheel_width double precision DEFAULT 0,
    permanent_traffic_lanes boolean,
    wheel_tracked_area double precision DEFAULT 0,
    associated_action integer DEFAULT 0,
    source character varying(80)
);


--
-- TOC entry 231 (class 1259 OID 17074)
-- Name: cdyirrgdev; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyirrgdev (
    item_ix integer,
    name character(20),
    effect double precision,
    source character varying(80)
);


--


--
-- TOC entry 251 (class 1259 OID 17176)
-- Name: cdyssdpa; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.cdyssdpa (
    item_ix integer NOT NULL,
    pset character varying(25),
    f_bioturb double precision,
    calc_roll_over boolean,
    source character varying(80)
);


--
-- TOC entry 278 (class 1259 OID 24841)
-- Name: crop_missing_opspa; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.crop_missing_opspa AS
 SELECT 'rt'::text AS col,
    p.name AS crop,
    p.rt_ix AS idx,
    o.name AS om
   FROM (public.cdycrops p
     LEFT JOIN public.cdyopspa o ON ((p.rt_ix = o.item_ix)))
  WHERE (o.name IS NULL)
UNION
 SELECT 'sh'::text AS col,
    p.name AS crop,
    p.sh_ix AS idx,
    o.name AS om
   FROM (public.cdycrops p
     LEFT JOIN public.cdyopspa o ON ((p.sh_ix = o.item_ix)))
  WHERE ((NOT (p.sh_ix IS NULL)) AND (o.name IS NULL))
UNION
 SELECT 'gm'::text AS col,
    p.name AS crop,
    p.gm_ix AS idx,
    o.name AS om
   FROM (public.cdycrops p
     LEFT JOIN public.cdyopspa o ON ((p.gm_ix = o.item_ix)))
  WHERE ((NOT (p.gm_ix IS NULL)) AND (o.name IS NULL));





--
-- TOC entry 274 (class 1259 OID 24813)
-- Name: mnmt_missng_crops; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_crops AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdycrops.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[1, 2, 9, 12]))) m
             LEFT JOIN public.cdycrops ON ((m.wert1 = cdycrops.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 254 (class 1259 OID 17193)
-- Name: mnmt_missng_irdv; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_irdv AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyirrgdev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = 7)) m
             LEFT JOIN public.cdyirrgdev ON ((m.wert1 = cdyirrgdev.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 255 (class 1259 OID 17198)
-- Name: mnmt_missng_lvst; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_lvst AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdylives.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[10, 11]))) m
             LEFT JOIN public.cdylives ON ((m.wert1 = cdylives.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 256 (class 1259 OID 17203)
-- Name: mnmt_missng_mindg; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_mindg AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdymindg.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = 4)) m
             LEFT JOIN public.cdymindg ON ((m.wert1 = cdymindg.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 257 (class 1259 OID 17208)
-- Name: mnmt_missng_oram; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_oram AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdyopspa.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = 3)) m
             LEFT JOIN public.cdyopspa ON ((m.wert1 = cdyopspa.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 258 (class 1259 OID 17213)
-- Name: mnmt_missng_tidev; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmt_missng_tidev AS
 SELECT l.fname,
    l.snr,
    l.utlg,
    l.wert1,
    l.name
   FROM ( SELECT DISTINCT m.fname,
            m.snr,
            m.utlg,
            m.wert1,
            cdytilldev.name
           FROM (( SELECT cdy_madat.fname,
                    cdy_madat.snr,
                    cdy_madat.utlg,
                    cdy_madat.wert1
                   FROM public.cdy_madat
                  WHERE (cdy_madat.macode = ANY (ARRAY[0, 5]))) m
             LEFT JOIN public.cdytilldev ON ((m.wert1 = cdytilldev.item_ix)))) l
  WHERE (l.name IS NULL);


--
-- TOC entry 275 (class 1259 OID 24818)
-- Name: mnmtmissng_link; Type: VIEW; Schema: public; Owner: -
--

CREATE VIEW public.mnmtmissng_link AS
 SELECT mnmt_missng_crops.fname,
    ((mnmt_missng_crops.snr * 10) + mnmt_missng_crops.utlg) AS plot,
    mnmt_missng_crops.wert1 AS item_ix,
    'crop'::text AS obj
   FROM public.mnmt_missng_crops
UNION
 SELECT mnmt_missng_oram.fname,
    ((mnmt_missng_oram.snr * 10) + mnmt_missng_oram.utlg) AS plot,
    mnmt_missng_oram.wert1 AS item_ix,
    'oram'::text AS obj
   FROM public.mnmt_missng_oram
UNION
 SELECT mnmt_missng_mindg.fname,
    ((mnmt_missng_mindg.snr * 10) + mnmt_missng_mindg.utlg) AS plot,
    mnmt_missng_mindg.wert1 AS item_ix,
    'mndg'::text AS obj
   FROM public.mnmt_missng_mindg
UNION
 SELECT mnmt_missng_tidev.fname,
    ((mnmt_missng_tidev.snr * 10) + mnmt_missng_tidev.utlg) AS plot,
    mnmt_missng_tidev.wert1 AS item_ix,
    'tidv'::text AS obj
   FROM public.mnmt_missng_tidev
UNION
 SELECT mnmt_missng_lvst.fname,
    ((mnmt_missng_lvst.snr * 10) + mnmt_missng_lvst.utlg) AS plot,
    mnmt_missng_lvst.wert1 AS item_ix,
    'lvst'::text AS obj
   FROM public.mnmt_missng_lvst
UNION
 SELECT mnmt_missng_irdv.fname,
    ((mnmt_missng_irdv.snr * 10) + mnmt_missng_irdv.utlg) AS plot,
    mnmt_missng_irdv.wert1 AS item_ix,
    'irdv'::text AS obj
   FROM public.mnmt_missng_irdv;


--
-- TOC entry 259 (class 1259 OID 17227)
-- Name: profile; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.profile (
    profil character varying(10),
    depth double precision,
    horiz_name character varying(25)
);


--
-- TOC entry 260 (class 1259 OID 17230)
-- Name: rs_demo1; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.rs_demo1 (
    id integer NOT NULL,
    datum timestamp without time zone,
    merkmal_id integer,
    objekt_id integer,
    wert double precision
);


--
-- TOC entry 261 (class 1259 OID 17233)
-- Name: rs_demo1_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE if not exists public.rs_demo1_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 3670 (class 0 OID 0)
-- Dependencies: 261
-- Name: rs_demo1_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.rs_demo1_id_seq OWNED BY public.rs_demo1.id;


--
-- TOC entry 262 (class 1259 OID 17238)
-- Name: tmphrzn; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.tmphrzn (
    name character varying(20),
    clay double precision,
    silt double precision,
    fat double precision,
    bd double precision,
    pd double precision,
    pv double precision,
    fc double precision,
    pwp double precision,
    cip double precision,
    ks double precision
);


--
-- TOC entry 263 (class 1259 OID 17241)
-- Name: txtimport; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.txtimport (
    key integer,
    value double precision
);


--
-- TOC entry 264 (class 1259 OID 17244)
-- Name: cdy_cldat; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdy_cldat (
    datum timestamp without time zone,
    nied double precision,
    ltem double precision,
    sonn double precision,
    glob integer,
    wstat character varying(255),
    widx character varying(8)
);


--
-- TOC entry 265 (class 1259 OID 17247)
-- Name: cdy_fxdat; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdy_fxdat (
    fname character varying(255) NOT NULL,
    sbez character varying(255),
    snr double precision NOT NULL,
    utlg double precision NOT NULL,
    geobreite double precision,
    standort character varying(255),
    wetter character varying(255),
    statusanf double precision,
    statusend double precision,
    startdat timestamp without time zone,
    stopdat timestamp without time zone,
    immission double precision,
    ltem double precision,
    nied double precision,
    crep double precision,
    nlevel double precision,
    nfk0 double precision,
    reslst integer,
    obslst integer,
    useobsvt boolean
);


--
-- TOC entry 266 (class 1259 OID 17252)
-- Name: cdy_hrzn; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdy_hrzn (
    item_ix integer,
    name character varying(10),
    hydromorph boolean,
    pv double precision,
    ct double precision,
    trd double precision,
    pwp double precision,
    fkap double precision,
    lambda double precision,
    hkap double precision,
    ton double precision,
    schluff double precision,
    fat double precision,
    kdeg double precision,
    stone_cont double precision,
    cip double precision,
    relrootres double precision,
    kf double precision,
    active boolean,
    mi double precision,
    me double precision,
    ma double precision
);


--
-- TOC entry 267 (class 1259 OID 17255)
-- Name: cdy_madat; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdy_madat (
    key integer,
    fname character varying(5),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    macode integer,
    wert1 integer,
    wert2 double precision,
    origwert double precision,
    rein character varying(1)
);


--
-- TOC entry 268 (class 1259 OID 17258)
-- Name: cdy_mvdat; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdy_mvdat (
    key integer NOT NULL,
    fname character varying(255),
    first character varying(1),
    snr integer,
    utlg integer,
    datum timestamp without time zone,
    m_ix integer,
    s0 integer,
    s1 integer,
    m_wert double precision,
    variation double precision,
    anzahl integer,
    s_wert double precision,
    korrektur character varying(1)
);


--
-- TOC entry 269 (class 1259 OID 17261)
-- Name: cdylives; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdylives (
    item_ix integer DEFAULT 0 NOT NULL,
    name character varying(25),
    c_inp double precision DEFAULT 0,
    od_id integer DEFAULT 0,
    n_upt double precision DEFAULT 0
);


--
-- TOC entry 270 (class 1259 OID 17268)
-- Name: cdymindg; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdymindg (
    item_ix integer,
    name character varying(25),
    ammanteil double precision
);


--
-- TOC entry 271 (class 1259 OID 17271)
-- Name: cdyopspa; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.cdyopspa (
    item_ix integer,
    sba_id integer DEFAULT 0,
    name character varying(25),
    crop_ix integer,
    od boolean,
    k double precision,
    eta double precision,
    cnr double precision,
    cnr_alt double precision,
    ts_gehalt double precision,
    c_geh_ts double precision,
    mor double precision,
    source character varying(80)
);


--
-- TOC entry 272 (class 1259 OID 17288)
-- Name: profile; Type: TABLE; Schema: trans; Owner: -
--

CREATE TABLE trans.profile (
    profil character varying(10),
    depth double precision,
    horiz_name character varying(25)
);


--


--
-- TOC entry 3405 (class 2604 OID 17292)
-- Name: cdy_madat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_madat ALTER COLUMN key SET DEFAULT nextval('public.cdy_madat_key_seq'::regclass);


--
-- TOC entry 3407 (class 2604 OID 17293)
-- Name: cdy_mgdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_mgdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_mgdat_key_seq'::regclass);


--
-- TOC entry 3409 (class 2604 OID 17294)
-- Name: cdy_mhdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_mhdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_mhdat_key_seq'::regclass);


--
-- TOC entry 3403 (class 2604 OID 17295)
-- Name: cdy_msdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_msdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_msdat_key_seq'::regclass);


--
-- TOC entry 3404 (class 2604 OID 17296)
-- Name: cdy_mvdat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_mvdat ALTER COLUMN key SET DEFAULT nextval('public.cdy_mvdat_key_seq'::regclass);


--
-- TOC entry 3418 (class 2604 OID 17297)
-- Name: cdy_rslt item_ix; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_rslt ALTER COLUMN item_ix SET DEFAULT nextval('public.cdy_rslt_item_ix_seq'::regclass);


--
-- TOC entry 3422 (class 2604 OID 17298)
-- Name: cdy_sldat key; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.cdy_sldat ALTER COLUMN key SET DEFAULT nextval('public.cdy_sldat_key_seq'::regclass);





--
-- TOC entry 3439 (class 2604 OID 17302)
-- Name: rs_demo1 id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.rs_demo1 ALTER COLUMN id SET DEFAULT nextval('public.rs_demo1_id_seq'::regclass);


--
-- TOC entry 3595 (class 0 OID 17008)
-- Dependencies: 211
-- Data for Name: parm_int; Type: TABLE DATA; Schema: opti; Owner: -
--



--
-- TOC entry 3597 (class 0 OID 17012)
-- Dependencies: 213
-- Data for Name: selmix; Type: TABLE DATA; Schema: opti; Owner: -
--



--
-- TOC entry 3598 (class 0 OID 17015)
-- Dependencies: 214
-- Data for Name: cdy_cldat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3602 (class 0 OID 17033)
-- Dependencies: 219
-- Data for Name: cdy_fxdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3603 (class 0 OID 17043)
-- Dependencies: 220
-- Data for Name: cdy_gsdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3604 (class 0 OID 17046)
-- Dependencies: 221
-- Data for Name: cdy_hrzn; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3605 (class 0 OID 17052)
-- Dependencies: 222
-- Data for Name: cdy_madat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3607 (class 0 OID 17056)
-- Dependencies: 224
-- Data for Name: cdy_mgdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3609 (class 0 OID 17061)
-- Dependencies: 226
-- Data for Name: cdy_mhdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3599 (class 0 OID 17018)
-- Dependencies: 215
-- Data for Name: cdy_msdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3600 (class 0 OID 17022)
-- Dependencies: 216
-- Data for Name: cdy_mvdat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3601 (class 0 OID 17025)
-- Dependencies: 217
-- Data for Name: cdy_prop; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_prop VALUES (75, 'N2O_N', 'N2OLoss', 'crop', 'single', '--', 'kg/ha/d', false);
INSERT INTO public.cdy_prop VALUES (1, 'nitrate N', 'NO3_N', 'nitrogen', 'profil', 'su', 'kg/ha', true);
INSERT INTO public.cdy_prop VALUES (2, 'decomposable SOC', 'SOC_dec', 'SOM', 'profil', 'su', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (3, 'amonium N', 'AMN_N', 'nitrogen', 'profil', 'su', 'kg/ha', true);
INSERT INTO public.cdy_prop VALUES (4, 'mineralN', 'MIN_N', 'nitrogen', 'profil', 'su', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (6, 'hotwater soluble C', 'C_HWS', 'SOM', 'saeule', 'su', 'mg/100g', false);
INSERT INTO public.cdy_prop VALUES (7, 'SoilOrganicCarbon', 'Corg_conc', 'SOM', 'saeule', '--', 'M%', true);
INSERT INTO public.cdy_prop VALUES (28, 'SOC_stock', 'SOC_stock', 'SOM', 'saeule', '--', 'kg/ha', true);
INSERT INTO public.cdy_prop VALUES (8, 'soil water', 'soil_w', 'environment', 'profil', 'su', 'mm', false);
INSERT INTO public.cdy_prop VALUES (9, 'soil temperature', 'soil_temp', 'environment', 'profil', 'av', '°C', true);
INSERT INTO public.cdy_prop VALUES (10, 'SoilMoisture(VOL)', 'soilmoistV', 'environment', 'profil', 'av', 'VOL%', true);
INSERT INTO public.cdy_prop VALUES (11, 'SoilMoisture(M)', 'soilmoistM', 'environment', 'profil', 'av', 'M%', false);
INSERT INTO public.cdy_prop VALUES (23, 'CrepFlx', 'CrepFlx', 'SOM', 'single', '--', 'kg/ha/d', false);
INSERT INTO public.cdy_prop VALUES (25, 'transpiration', 'transp', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (24, 'seepage to groundw', 'GW_seep', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (45, 'ActRootDpth', 'actRtDpth', 'crop', 'single', '--', 'dm', false);
INSERT INTO public.cdy_prop VALUES (46, 'ActCropCover', 'actCover', 'crop', 'single', '--', '-', false);
INSERT INTO public.cdy_prop VALUES (47, 'PotEvapTransp', 'PET', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (48, 'corrected Rain', 'corRain', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (50, 'NinMulchLayer', 'NtMulch', 'nitrogen', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (51, 'CinMulchLayer', 'C_Mulch', 'SOM', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (52, 'BiolActTime', 'BAT', 'environment', 'saeule', 'av', 'd', false);
INSERT INTO public.cdy_prop VALUES (53, 'act.EvapoTransp', 'AET', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (54, 'water flux from laye', 'Wflux_Lay', 'environment', 'profil', 'fx', 'mm', false);
INSERT INTO public.cdy_prop VALUES (55, 'Nit.N.Conc', 'NO3N_Conc', 'nitrogen', 'profil', '--', 'mgN/L', false);
INSERT INTO public.cdy_prop VALUES (56, 'N upt from layer', 'Nupt_Lay', 'crop', 'profil', 'su', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (57, 'W upt from layer', 'Wupt_Lay', 'crop', 'profil', 'su', 'mm', false);
INSERT INTO public.cdy_prop VALUES (58, 'N flux at layer', 'Nflux_Lay', 'nitrogen', 'profil', 'fx', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (69, 'YldNofftake ', 'YldNoff', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (70, 'DrainWaterFlow', 'drainW', 'environment', 'single', '--', 'mm', false);
INSERT INTO public.cdy_prop VALUES (72, 'DrainNitFlow', 'drainN', 'nitrogen', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (26, 'DM-Yld-Mp ', 'DMYldMp', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (27, 'DM-Yld-byP ', 'DMYldbyP', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (29, 'N-Yld-Mp ', 'NYldMp', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (30, 'N-Yld-byP ', 'NYldbyP', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (31, 'C-Yld-Mp ', 'CYldMp', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (32, 'C-Yld-byP ', 'CYldbyP', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (20, 'N_yield', 'N_yield', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (21, 'NatYldByp', 'NatYldByp', 'crop', 'single', '--', 'dt/ha', false);
INSERT INTO public.cdy_prop VALUES (22, 'NatYldMP', 'NatYldMP', 'crop', 'single', '--', 'dt/ha', false);
INSERT INTO public.cdy_prop VALUES (35, 'crop DC state ', 'crop DC', 'crop', 'single', '--', '-', false);
INSERT INTO public.cdy_prop VALUES (49, 'LeafAreaIndex ', 'LAI', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (36, 'actDM_MainProd ', 'aDM_MnPr', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (37, 'actDM_ByProd ', 'aDM_ByPr', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (59, 'actDMcrop ', 'aCropDM', 'crop', 'single', '--', 'kg/ha', false);
INSERT INTO public.cdy_prop VALUES (76, 'NGasLoss', 'NGasLoss', 'crop', 'single', '--', 'kg/ha/d', false);
INSERT INTO public.cdy_prop VALUES (61, 'field capacity', 'FieldCap', 'soil structure', 'profil', 'av', 'VOL%', false);
INSERT INTO public.cdy_prop VALUES (62, 'perm. wilting point', 'PWP', 'soil structure', 'profil', 'av', 'VOL%', false);
INSERT INTO public.cdy_prop VALUES (63, 'bulk density', 'BD', 'soil structure', 'profil', 'av', 'g/cm³', false);
INSERT INTO public.cdy_prop VALUES (64, 'particle density', 'PD', 'soil structure', 'profil', 'av', 'g/cm³', false);
INSERT INTO public.cdy_prop VALUES (65, 'pore volume', 'P_VOL', 'soil structure', 'profil', 'av', 'VOL%', false);
INSERT INTO public.cdy_prop VALUES (99, 'el_resistivity', 'elRes', 'environment', 'profil', '--', 'S', false);


--
-- TOC entry 3652 (class 0 OID 24835)
-- Dependencies: 277
-- Data for Name: cdy_prop_lst; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_prop_lst VALUES (0, 'som_dyn');
INSERT INTO public.cdy_prop_lst VALUES (1, 'n_dyn');


--
-- TOC entry 3619 (class 0 OID 17116)
-- Dependencies: 236
-- Data for Name: cdy_prop_sel; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_prop_sel VALUES (3, 0, 3, 52, 0, 3, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (4, 0, 4, 63, 0, 3, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (5, 1, 4, 75, -99, -99, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (6, 1, 4, 76, -99, -99, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (7, 1, 4, 1, 0, 3, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (9, 1, 4, 50, -99, -99, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (10, 0, 4, 2, 0, 3, '2015-01-01 00:00:00', '2018-12-31 00:00:00');
INSERT INTO public.cdy_prop_sel VALUES (11, 0, 4, 28, 0, 3, '2015-01-01 00:00:00', '2018-12-31 00:00:00');


--
-- TOC entry 3620 (class 0 OID 17119)
-- Dependencies: 237
-- Data for Name: cdy_rslt; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_rslt VALUES (337, 707, 'PVOL_30 (SSD)', '', NULL, NULL, 2, 'VOL%', 'PVOL_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (338, 706, 'PWP_30 (SSD)', '', NULL, NULL, 2, 'VOL%', 'PWP_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (339, 705, 'FCAP_30 (SSD)', '', NULL, NULL, 2, 'VOL%', 'FCAP_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (341, 701, 'DD_AP_val (SSD)', '', NULL, NULL, 2, 'g/cm³', 'DD_AP_val (SSD)');
INSERT INTO public.cdy_rslt VALUES (342, 103, 'GWB', '', NULL, NULL, 1, 'mm', 'Grundwasserneubildung');
INSERT INTO public.cdy_rslt VALUES (343, 143, 'WDF', '', NULL, NULL, 1, 'mm', 'kum.WasserFlussDrainage');
INSERT INTO public.cdy_rslt VALUES (344, 144, 'NDF', '', NULL, NULL, 1, 'kg/ha', 'kum.StickstoffFlussDrainage');
INSERT INTO public.cdy_rslt VALUES (345, 101, 'WBIL', '', NULL, NULL, 1, 'mm', 'klim. Wasserbilanz');
INSERT INTO public.cdy_rslt VALUES (347, 141, 'LTEMP', '', NULL, NULL, 2, '°C', 'Lufttemp');
INSERT INTO public.cdy_rslt VALUES (348, 128, 'NIED', '', NULL, NULL, 1, 'mm', 'Niederschlag');
INSERT INTO public.cdy_rslt VALUES (386, 204, 'Nupt_CrRes', '', NULL, NULL, 1, 'kg/ha', 'crop residues: N-Uptake');
INSERT INTO public.cdy_rslt VALUES (334, 145, 'N-deposition', '', NULL, NULL, 1, 'kg/ha', 'N-Deposition');
INSERT INTO public.cdy_rslt VALUES (336, 104, 'BAT', '*', NULL, NULL, 1, 'd', 'Biol.Act.Time');
INSERT INTO public.cdy_rslt VALUES (333, 139, 'C_MIN', '*', NULL, NULL, 1, 'kg/ha', 'C_Mineralisierung');
INSERT INTO public.cdy_rslt VALUES (360, 110, 'BT_0_3', '', NULL, NULL, 2, 'øC', 'Bodentemperatur 0-30cm');
INSERT INTO public.cdy_rslt VALUES (352, 90, 'C_AOS', '', NULL, NULL, 0, 'dt/ha', 'C in AOS (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (350, 106, 'N_gfv', '', NULL, NULL, 1, 'kg/ha', 'gasf. N-Verluste');
INSERT INTO public.cdy_rslt VALUES (349, 102, 'N_leach', '', NULL, NULL, 1, 'kg/ha', 'N-Auswaschung');
INSERT INTO public.cdy_rslt VALUES (335, 997, 'N2O', '', NULL, NULL, 1, 'kg/ha', 'N2O-emission');
INSERT INTO public.cdy_rslt VALUES (362, 112, 'NMIN_0_3', '', NULL, NULL, 0, 'kg/ha', 'Nmin 0-30cm');
INSERT INTO public.cdy_rslt VALUES (340, 704, 'TRD_30 (SSD)', '', NULL, NULL, 2, 'g/cm³', 'TRD_30 (SSD)');
INSERT INTO public.cdy_rslt VALUES (374, 123, 'NH4VT', '', NULL, NULL, 1, 'kg/ha', 'NH4-Verlust gasförmig');
INSERT INTO public.cdy_rslt VALUES (351, 107, 'N_MIN_S', '', NULL, NULL, 1, 'kg/ha', 'N-Mineralisierung');
INSERT INTO public.cdy_rslt VALUES (353, 91, 'C_SOS', '', NULL, NULL, 0, 'dt/ha', 'C in SOS (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (355, 95, 'CLTS', '', NULL, NULL, 0, 'kg/ha', 'stabilisierter Kohlenstoff (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (356, 93, 'COPS', '', NULL, NULL, 0, 'kg/ha', 'OPS Kohlenstoff');
INSERT INTO public.cdy_rslt VALUES (357, 109, 'BW_0_10', '', NULL, NULL, 0, 'mm', 'Bodenwasser 0-100cm');
INSERT INTO public.cdy_rslt VALUES (358, 108, 'BW_0_3', '', NULL, NULL, 0, 'mm', 'Bodenwasser 0-30cm');
INSERT INTO public.cdy_rslt VALUES (359, 150, 'Auto_BW', '', NULL, NULL, 0, 'mm', 'Automatische Bewaesserung');
INSERT INTO public.cdy_rslt VALUES (361, 111, 'N_OBFL', '', NULL, NULL, 0, 'kg/ha', 'N auf Bodenoberfläche');
INSERT INTO public.cdy_rslt VALUES (363, 113, 'NMIN_3_6', '', NULL, NULL, 0, 'kg/ha', 'Nmin 30-60cm');
INSERT INTO public.cdy_rslt VALUES (364, 114, 'NMIN_6_10', '', NULL, NULL, 0, 'kg/ha', 'Nmin 60-100cm');
INSERT INTO public.cdy_rslt VALUES (365, 115, 'BW_PRFL', '', NULL, NULL, 0, 'mm', 'Bodenwasser (0-smax)');
INSERT INTO public.cdy_rslt VALUES (366, 116, 'NMIN_PRFL', '', NULL, NULL, 0, 'kg/ha', 'min-N im Boden (0-smax)');
INSERT INTO public.cdy_rslt VALUES (367, 117, 'N_OPS', '', NULL, NULL, 0, 'kg/ha', 'N in OPS');
INSERT INTO public.cdy_rslt VALUES (346, 146, 'GLOB', '', NULL, NULL, 2, '??', 'globRad');
INSERT INTO public.cdy_rslt VALUES (369, 135, 'C_REP_SUM', '', NULL, NULL, 1, 'kg/ha', 'C-REP-Fluss');
INSERT INTO public.cdy_rslt VALUES (370, 119, 'NI_MIN', '', NULL, NULL, 1, 'kg/ha', 'N Input mineralisch');
INSERT INTO public.cdy_rslt VALUES (371, 120, 'NI_ORG', '', NULL, NULL, 1, 'kg/ha', 'N Input organisch');
INSERT INTO public.cdy_rslt VALUES (372, 121, 'NI_SYM', '', NULL, NULL, 1, 'kg/ha', 'N Input symbiontisch');
INSERT INTO public.cdy_rslt VALUES (375, 124, 'NSUMSYS', '', NULL, NULL, 0, 'kg/ha', 'N-Summe im System');
INSERT INTO public.cdy_rslt VALUES (377, 127, 'M_BEDGRD', '', NULL, NULL, 2, 'd', 'plant cover degree');
INSERT INTO public.cdy_rslt VALUES (378, 100, 'NIED_K', '', NULL, NULL, 1, 'mm', 'Summe korr.Niederschlag');
INSERT INTO public.cdy_rslt VALUES (379, 129, 'PET_SUM', '', NULL, NULL, 1, 'mm', 'Summe Pot. Evapotr.');
INSERT INTO public.cdy_rslt VALUES (380, 142, 'AET_SUM', '', NULL, NULL, 1, 'mm', 'Summe akt. Evapotr.');
INSERT INTO public.cdy_rslt VALUES (381, 130, 'S_TRANSP', '', NULL, NULL, 1, 'mm', 'Summe Transpiration');
INSERT INTO public.cdy_rslt VALUES (382, 140, 'WSAS', '', NULL, NULL, 0, 'mm', 'Water storage above soil ');
INSERT INTO public.cdy_rslt VALUES (385, 203, 'Nupt_BPR', '', NULL, NULL, 1, 'kg/ha', 'by-product: N-Uptake');
INSERT INTO public.cdy_rslt VALUES (383, 201, 'N_off_crop', '', NULL, NULL, 1, 'kg/ha', 'N-Offtake by Crop');
INSERT INTO public.cdy_rslt VALUES (384, 202, 'N_upt_crop', '', NULL, NULL, 1, 'kg/ha', 'N-Uptake by Crop');
INSERT INTO public.cdy_rslt VALUES (368, 118, 'N_OBS', '', NULL, NULL, 0, 'kg/ha', 'N in OBS');
INSERT INTO public.cdy_rslt VALUES (373, 122, 'N_UPT', '', NULL, NULL, 1, 'kg/ha', 'N-Aufnahme in Bestand');
INSERT INTO public.cdy_rslt VALUES (354, 92, 'CDEC', '*', NULL, NULL, 0, 'kg/ha', 'umsetzbarer Kohlenstoff (0-30cm)');
INSERT INTO public.cdy_rslt VALUES (376, 125, 'N_M_SUMSYS', '*', NULL, NULL, 0, 'kg/ha', 'Summe N-min im System');
INSERT INTO public.cdy_rslt VALUES (387, 0, 'dummy', '', NULL, NULL, 1, '?', 'dummy');


--
-- TOC entry 3622 (class 0 OID 17124)
-- Dependencies: 239
-- Data for Name: cdy_rslt_lst; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_rslt_lst VALUES (1, 'demo', 4);


--
-- TOC entry 3623 (class 0 OID 17127)
-- Dependencies: 240
-- Data for Name: cdy_rslt_sel; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdy_rslt_sel VALUES (1, 1, 104);
INSERT INTO public.cdy_rslt_sel VALUES (2, 1, 139);
INSERT INTO public.cdy_rslt_sel VALUES (3, 1, 92);
INSERT INTO public.cdy_rslt_sel VALUES (4, 1, 125);


--
-- TOC entry 3624 (class 0 OID 17130)
-- Dependencies: 241
-- Data for Name: cdy_sldat; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3626 (class 0 OID 17137)
-- Dependencies: 243
-- Data for Name: cdyacrdp; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3627 (class 0 OID 17143)
-- Dependencies: 244
-- Data for Name: cdyacrop; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3613 (class 0 OID 17068)
-- Dependencies: 230
-- Data for Name: cdyaktion; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdyaktion VALUES ('mineral N fertilizer          ', 4, 'kg N/ha', 'N-Input', 'NH4-content');
INSERT INTO public.cdyaktion VALUES ('emergence                     ', 1, 'dt/ha', 'yield goal', 'N-uptake');
INSERT INTO public.cdyaktion VALUES ('harvest, crop res. removed    ', 2, 'dt/ha', 'yield (main)', 'N-uptake');
INSERT INTO public.cdyaktion VALUES ('organic manure                ', 3, 'dtFM/ha', 'OM-amount', 'C-input');
INSERT INTO public.cdyaktion VALUES ('harvest, crop res. ploughed   ', 9, 'dt/ha', 'yield (main)', 'N-uptake');
INSERT INTO public.cdyaktion VALUES ('(sowing)                      ', 12, 'dt/ha', 'yield goal', 'N-uptake');
INSERT INTO public.cdyaktion VALUES ('ploughing up (fallowing)      ', 0, 'cm', 'till. depth', 'dm');
INSERT INTO public.cdyaktion VALUES ('soil tillage                  ', 5, 'cm', 'till. depth', 'dm');
INSERT INTO public.cdyaktion VALUES ('irrigation                    ', 7, 'mm', 'water amount', 'mm');
INSERT INTO public.cdyaktion VALUES ('pesticide app.                ', 8, 'kg/ha', 'amount', 'not used');
INSERT INTO public.cdyaktion VALUES ('cutting grassland             ', 6, 'dt/ha', 'yield', '*');
INSERT INTO public.cdyaktion VALUES ('start grazing (pasture)       ', 10, 'GV', 'cattle units', '*');
INSERT INTO public.cdyaktion VALUES ('removal from pasture          ', 11, 'GV', 'cattle units', '*');


--
-- TOC entry 3628 (class 0 OID 17146)
-- Dependencies: 245
-- Data for Name: cdyaparm; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdyaparm VALUES (1, 'NORM', 'NORM', 0.025, 0.65, 4, 0.95, 1, 40, 0, 0.5669999718666077, 0.00556, 0.00032, 0.0009, 3e-05, 0.04, 8.5, 0, 1, 2, 0.7099999785423279, 0.17000000178813934,14);


--
-- TOC entry 3629 (class 0 OID 17154)
-- Dependencies: 246
-- Data for Name: cdybtprm; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdybtprm VALUES ('FK_0', 1, 0.5099999904632568, 'std');
INSERT INTO public.cdybtprm VALUES ('FK_1', 1, 0.23999999463558197, 'std');
INSERT INTO public.cdybtprm VALUES ('FK_2', 1, 0.3199999928474426, 'std');
INSERT INTO public.cdybtprm VALUES ('_CON', 1, 0.7839999794960022, 'std');
INSERT INTO public.cdybtprm VALUES ('_COS', 1, -0.4390000104904175, 'std');
INSERT INTO public.cdybtprm VALUES ('_SIN', 1, -0.14900000393390656, 'std');
INSERT INTO public.cdybtprm VALUES ('2COS', 1, -0.22100000083446503, 'std');
INSERT INTO public.cdybtprm VALUES ('2SIN', 1, -0.20000000298023224, 'std');
INSERT INTO public.cdybtprm VALUES ('F_BT', 2, 0.5410000085830688, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_LT', 2, 0.36000001430511475, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_GS', 2, 0.5170000195503235, 'high_1');
INSERT INTO public.cdybtprm VALUES ('E_GS', 2, 0.5559999942779541, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_BG', 2, -0.0017800000496208668, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_ET', 2, -0.2329999953508377, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_BT', 2, 0.6169999837875366, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_LT', 2, 0.1850000023841858, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_GS', 2, 0.13300000131130219, 'low_1');
INSERT INTO public.cdybtprm VALUES ('E_GS', 2, 0.5559999942779541, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_BG', 2, 0.4699999988079071, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_ET', 2, 0, 'low_1');
INSERT INTO public.cdybtprm VALUES ('F_BT', 3, 0.5410000085830688, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_LT', 3, 0.36000001430511475, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_GS', 3, 0.5170000195503235, 'high_1');
INSERT INTO public.cdybtprm VALUES ('E_GS', 3, 0.5559999942779541, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_BG', 3, -0.0017800000496208668, 'high_1');
INSERT INTO public.cdybtprm VALUES ('F_ET', 3, -0.2329999953508377, 'high_1');
INSERT INTO public.cdybtprm VALUES ('AMP', 1, 3.9000000953674316, 'std');
INSERT INTO public.cdybtprm VALUES ('PHA', 1, 240, 'std');


--
-- TOC entry 3630 (class 0 OID 17159)
-- Dependencies: 247
-- Data for Name: cdycl2pr; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3651 (class 0 OID 24810)
-- Dependencies: 273
-- Data for Name: cdycrops; Type: TABLE DATA; Schema: public; Owner: -
--


INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de      ,art,modell, transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
                                 (13,'Pea',    'pea','Pisum sativum','Erbse',3,'CANDY_S',1.0,    1, 2.66, 108.0, 0.4, 0.2,   12,6.0,    65,   90,    30,  1.0,54,0.25,0.0,NULL,NULL,NULL,5.1,86.0,NULL,9,45,-999,755.0,10.348255813953488,0.0,1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (14,'Spring Barley','spring barley','Hordeum vulgare','Sommergerste',1,'CANDY_S',1.35,1,3.03,153.0,0.0,0.0,12,6.0,66,65,30,1.0,79,0.25,0.0,NULL,NULL,NULL,2.5,86.0,168,9,26,50,619.2,12.069767441860465,100.0,0.1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (2,'Potato','potato','Solanum tuberosum','Kartoffel',1,'CANDY_S',1.25,1,2.09,179.0,0.0,0.0,8,6.0,50,50,14,1.0,38,0.025,0.0,NULL,NULL,NULL,0.4086,22.0,161,9,22,-999,428.40000000000003,6.798361090909092,0.0,1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (3,'Winter Wheat','witer wheat','Triticum aestivum','Winterweizen',2,'CANDY_S',1.47,2,1.22,165.0,0.0,0.0,18,6.0,72,90,30,1.0,119,0.025,1000.0,NULL,NULL,NULL,2.21,86.0,163,9,30,49,751.5,9.89874418604651,80.0,0.1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (12,'Grassland','permanent grassland','?','Grasland',5,'CDYDGRN',0.8,3,1.5,254.0,1.0,0.0,4,6.0,65,12,0,0.7,57,0.025,0.0,0.2,600.0,1500.0,0.55,20.0,180,77,35,-999,3200.0,0.0,0.0,1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (10,'Maize Silo','Maize for Silage','Zea mays','Silomais',1,'CANDY_S',1.0,1,3.2,132.0,0.0,0.0,16,5.0,72,200,0,1.0,50,0.025,0.0,NULL,NULL,NULL,0.38,30.0,172,9,31,-999,1039.5,1.6644,0.0,1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (8,'Triticale','winter triticale ','Triticale','Tritikale',2,'CANDY_S',0.8,2,1.26,165.0,0.0,0.0,19,5.5,108,100,30,1.0,85,0.025,0.0,NULL,NULL,NULL,2.1,86.0,169,9,74,369,659.25,9.900523255813955,90,0.1,0);
INSERT INTO public.cdycrops (item_ix,name,name_engl,name_lat,name_de,art,modell,transk,algo,steil,vegdau,nbok,lnub,wtmax,wwg,dbhmax,bhmax,matanf,bgmax,dbgmax,czep,zetb,tk_min,ts1,ts2,n_gehalt,dm_nat,sba_id,gm_ix,rt_ix,sh_ix,fix_r,bix,rix,stix,fix_s) VALUES
 (15,'MaisBerge','Maize Silo 0.38','Zea mays','Silomais',1,'CANDY_S',1.0,1,3.2,132.0,0.0,0.0,16,5.0,72,200,0,1.0,50,0.025,0.0,NULL,NULL,NULL,0.38,30.0,172,9,901,902,70.0,8.1,3.64,1,420);

--
-- TOC entry 3631 (class 0 OID 17162)
-- Dependencies: 248
-- Data for Name: cdydevpa; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3614 (class 0 OID 17074)
-- Dependencies: 231
-- Data for Name: cdyirrgdev; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdyirrgdev VALUES (1, 'standard            ', 1, 'demodb');


--
-- TOC entry 3615 (class 0 OID 17077)
-- Dependencies: 232
-- Data for Name: cdylives; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdylives VALUES (10, 'cattle', 1.7400000095367432, 47, 0.30799999833106995, NULL);


--
-- TOC entry 3616 (class 0 OID 17084)
-- Dependencies: 233
-- Data for Name: cdymindg; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, NULL);
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, NULL);
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, NULL);
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, NULL);
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, NULL);
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, NULL);
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, NULL);
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, NULL);
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (1, 'calcium ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (2, 'ammonium phosphate', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (3, 'AH.L', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (4, 'ammonium sulfate', 75, 'demodb');
INSERT INTO public.cdymindg VALUES (5, 'urea', 100, 'demodb');
INSERT INTO public.cdymindg VALUES (6, 'calcium nitrate', 0, 'demodb');
INSERT INTO public.cdymindg VALUES (7, 'ammonium nitrate', 50, 'demodb');
INSERT INTO public.cdymindg VALUES (8, 'sulphur acid ammonia', 100, 'demodb');


--
-- TOC entry 3617 (class 0 OID 17087)
-- Dependencies: 234
-- Data for Name: cdyopspa; Type: TABLE DATA; Schema: public; Owner: -
--
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (22, 'potato', false,NULL, 1, 1, 40, 40, 0, 0.2, 0.45, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (26, 'spring barley', false,NULL, 1, 1, 60, 60, 0, 0.1, 0.55, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (30, 'winter wheat', false,NULL, 1, 1, 50, 50, 0, 0.1, 0.55, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (31, 'maize for silage', false,NULL, 1, 1, 45, 45, 0, 0.1, 0.58, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (35, 'grass', false,NULL, 1, 1, 40, 40, 0, 0.2, 0.65, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (45, 'pea old EWR', false,NULL, 1, 1, 50, 50, 0, 0.15, 0.55, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (74, 'triticale', false,NULL, 1, 1, 50, 50, 0, 0.15, 0.55, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (901, 'maisberge_rt', false,NULL, 1, 0.378, 55.7, 55.7, 0, 0.124, 0.418, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (902, 'maisberge_st', false,NULL, 1, 0.42, 73, 73, 0, 0.067, 0.313, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (9, 'green manuring(6%C)', true,NULL, 0.14, 0.429, 14.4, 12, 0.2, 0.15, 0.35, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (10, 'slurry(2%TM)', true,NULL, 0.02, 0.35, 10, 10, 0, 0.1, 0.6, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (47, 'Rind_Exkremente', true, 92, 0.14, 0.32, 17.5, 7, 1.5, 0.1, 0.6, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (49, 'straw (w. wheat)', true,NULL, 0.901, 0.463, 114, 114, 0, 0.15, 0.54, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (50, 'straw (sp. barley)', true,NULL, 0.818, 0.457, 91, 91, 0, 0.15, 0.8, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (77, 'grass grown up', true,NULL, 0.247, 0.452, 25.85, 23.5, 0.1, 0.15, 0.5, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (211, 'Hühnertrockenkot', true,NULL, 0.55, 0.267, 8.7411, 5.2446, 0.6667, 0.1, 0.6, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (369, 'straw triticale', true,NULL, 0.86, 0.44, 90, 90, 0, 0.15, 0.5, '???'  );
 insert into public.cdyopspa ( item_ix, name, od, sba_id, ts_gehalt, c_geh_ts, cnr, cnr_alt, mor, k, eta, source ) values (-999, 'dummy',NULL,NULL , 1, 1, 1,NULL,NULL ,NULL,NULL , '???'  );






--
-- TOC entry 3634 (class 0 OID 17176)
-- Dependencies: 251
-- Data for Name: cdyssdpa; Type: TABLE DATA; Schema: public; Owner: -
--


--
-- TOC entry 3618 (class 0 OID 17103)
-- Dependencies: 235
-- Data for Name: cdytilldev; Type: TABLE DATA; Schema: public; Owner: -
--

INSERT INTO public.cdytilldev VALUES (0, 'not defined', 0, NULL);
INSERT INTO public.cdytilldev VALUES (1, 'unspez', 1, NULL);
INSERT INTO public.cdytilldev VALUES (2, 'plough', 0.699999988079071, NULL);
INSERT INTO public.cdytilldev VALUES (3, 'harrow/cultivator', 1, NULL);
INSERT INTO public.cdytilldev VALUES (4, 'eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (5, 'eggen + walzen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (6, 'grubbern', 0, NULL);
INSERT INTO public.cdytilldev VALUES (7, 'grubbern + eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (8, 'grubbern + eggen + walzen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (9, 'Handhacke', 0, NULL);
INSERT INTO public.cdytilldev VALUES (10, 'häufeln', 0, NULL);
INSERT INTO public.cdytilldev VALUES (11, 'häufeln + striegeln', 0, NULL);
INSERT INTO public.cdytilldev VALUES (12, 'igeln', 0, NULL);
INSERT INTO public.cdytilldev VALUES (13, 'igeln + Handhacke', 0, NULL);
INSERT INTO public.cdytilldev VALUES (14, 'Krautschlagen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (15, 'Maschinenhacke', 0, NULL);
INSERT INTO public.cdytilldev VALUES (16, 'pflügen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (17, 'pflügen + Packer', 0, NULL);
INSERT INTO public.cdytilldev VALUES (18, 'pflügen + Schleppe', 0, NULL);
INSERT INTO public.cdytilldev VALUES (19, 'Rundhacke', 0, NULL);
INSERT INTO public.cdytilldev VALUES (20, 'schälen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (21, 'scheiben + eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (22, 'striegeln', 0, NULL);
INSERT INTO public.cdytilldev VALUES (23, 'vereinzeln', 0, NULL);
INSERT INTO public.cdytilldev VALUES (24, 'walzen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (25, 'walzen + eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (26, '2 x eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (27, 'schleppen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (28, 'häufeln + eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (29, '2 x eggen (schwere Egge)', 0, NULL);
INSERT INTO public.cdytilldev VALUES (30, 'Saatbettbereitung mit Saatbettkombination', 0, NULL);
INSERT INTO public.cdytilldev VALUES (31, '2 x Saatbettbereitung mit Saatbettkombination', 0, NULL);
INSERT INTO public.cdytilldev VALUES (32, '2 x grubbern', 0, NULL);
INSERT INTO public.cdytilldev VALUES (33, '2 x schälen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (34, '2 x scheiben', 0, NULL);
INSERT INTO public.cdytilldev VALUES (35, 'pflügen + walzen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (36, 'scheiben', 0, NULL);
INSERT INTO public.cdytilldev VALUES (37, '2 x scheiben + eggen', 0, NULL);
INSERT INTO public.cdytilldev VALUES (38, 'grubbern mit Schwergrubber', 0, NULL);
INSERT INTO public.cdytilldev VALUES (39, 'eggen (Pendelegge)', 0, NULL);
INSERT INTO public.cdytilldev VALUES (40, 'Saatbettkombination', 0, NULL);
INSERT INTO public.cdytilldev VALUES (41, '1 x grubbern', 0, NULL);
INSERT INTO public.cdytilldev VALUES (42, '1 x eggen (schwere Egge)', 0, NULL);
INSERT INTO public.cdytilldev VALUES (43, 'Saatbettbereitung', 0, NULL);





--
-- TOC entry 3637 (class 0 OID 17227)
-- Dependencies: 259
-- Data for Name: profile; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3638 (class 0 OID 17230)
-- Dependencies: 260
-- Data for Name: rs_demo1; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3640 (class 0 OID 17238)
-- Dependencies: 262
-- Data for Name: tmphrzn; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3641 (class 0 OID 17241)
-- Dependencies: 263
-- Data for Name: txtimport; Type: TABLE DATA; Schema: public; Owner: -
--



--
-- TOC entry 3642 (class 0 OID 17244)
-- Dependencies: 264
-- Data for Name: cdy_cldat; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3643 (class 0 OID 17247)
-- Dependencies: 265
-- Data for Name: cdy_fxdat; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3644 (class 0 OID 17252)
-- Dependencies: 266
-- Data for Name: cdy_hrzn; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3645 (class 0 OID 17255)
-- Dependencies: 267
-- Data for Name: cdy_madat; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3646 (class 0 OID 17258)
-- Dependencies: 268
-- Data for Name: cdy_mvdat; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3647 (class 0 OID 17261)
-- Dependencies: 269
-- Data for Name: cdylives; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3648 (class 0 OID 17268)
-- Dependencies: 270
-- Data for Name: cdymindg; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3649 (class 0 OID 17271)
-- Dependencies: 271
-- Data for Name: cdyopspa; Type: TABLE DATA; Schema: trans; Owner: -
--



--
-- TOC entry 3650 (class 0 OID 17288)
-- Dependencies: 272
-- Data for Name: profile; Type: TABLE DATA; Schema: trans; Owner: -
--





--
-- TOC entry 3672 (class 0 OID 0)
-- Dependencies: 223
-- Name: cdy_madat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_madat_key_seq', 13, true);


--
-- TOC entry 3673 (class 0 OID 0)
-- Dependencies: 225
-- Name: cdy_mgdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_mgdat_key_seq', 1, false);


--
-- TOC entry 3674 (class 0 OID 0)
-- Dependencies: 227
-- Name: cdy_mhdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_mhdat_key_seq', 69596, true);


--
-- TOC entry 3675 (class 0 OID 0)
-- Dependencies: 228
-- Name: cdy_msdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_msdat_key_seq', 120837, true);


--
-- TOC entry 3676 (class 0 OID 0)
-- Dependencies: 229
-- Name: cdy_mvdat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_mvdat_key_seq', 3, true);


--
-- TOC entry 3677 (class 0 OID 0)
-- Dependencies: 238
-- Name: cdy_rslt_item_ix_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_rslt_item_ix_seq', 387, true);


--
-- TOC entry 3678 (class 0 OID 0)
-- Dependencies: 242
-- Name: cdy_sldat_key_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.cdy_sldat_key_seq', 1, false);



--
-- TOC entry 3681 (class 0 OID 0)
-- Dependencies: 261
-- Name: rs_demo1_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.rs_demo1_id_seq', 146262, true);


--
-- TOC entry 3445 (class 1259 OID 17307)
-- Name: cdysim; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX cdysim ON public.cdy_msdat USING btree (ix);


-- Completed on 2022-06-02 15:15:19

--
-- PostgreSQL database dump complete
--

